diff --git a/src/test/test_hydrogen.c b/src/test/test_hydrogen.c
index aa72609..6fd4cbb 100644
--- a/src/test/test_hydrogen.c
+++ b/src/test/test_hydrogen.c
@@ -2216,7 +2216,7 @@ TEST(ix_map_beyond)
   for (i = 0; i < entries; i++) {
     if (ixbuf[i]) nonzero++;
   }
-  TEST_CHECK_LE(1, nonzero);
+  TEST_CHECK_LE(nonzero, 1);
 
   printf("elongate again, by other fd\n");
 
